Index: tmp/org.txm.utils/src/org/txm/utils/CsvReader.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/CsvReader.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/CsvReader.java	(revision 2402)
@@ -139,8 +139,8 @@
 	private boolean closed = false;
 
 	/**
-	 * Double up the text qualif ier to represent an occurance of the text
-	 * qualif ier.
+	 * Double up the text qualif ier to represent an occurance of the text qualif
+	 * ier.
 	 */
 	public static final int ESCAPE_MODE_DOUBLED = 1;
 
@@ -151,25 +151,26 @@
 	public static final int ESCAPE_MODE_BACKSLASH = 2;
 
 	/**
-	 * Creates a {@link com.csvreader.CsvReader CsvReader} object using a file
-	 * as the data source.
+	 * Creates a {@link com.csvreader.CsvReader CsvReader} object using a file as
+	 * the data source.
 	 *
-	 * @param fileName The path to the file to use as the data source.
-	 * @param delimiter The character to use as the column delimiter.
-	 * @param charset The {@link java.nio.charset.Charset Charset} to use while
-	 * parsing the data.
-	 * @throws FileNotFoundException the file not found exception
+	 * @param fileName
+	 *            The path to the file to use as the data source.
+	 * @param delimiter
+	 *            The character to use as the column delimiter.
+	 * @param charset
+	 *            The {@link java.nio.charset.Charset Charset} to use while parsing
+	 *            the data.
+	 * @throws FileNotFoundException
+	 *             the file not found exception
 	 */
-	public CsvReader(String fileName, char delimiter, Charset charset)
-			throws FileNotFoundException {
+	public CsvReader(String fileName, char delimiter, Charset charset) throws FileNotFoundException {
 		if (fileName == null) {
-			throw new IllegalArgumentException(
-					"Parameter fileName can not be null."); //$NON-NLS-1$
+			throw new IllegalArgumentException("Parameter fileName can not be null."); //$NON-NLS-1$
 		}
 
 		if (charset == null) {
-			throw new IllegalArgumentException(
-					"Parameter charset can not be null."); //$NON-NLS-1$
+			throw new IllegalArgumentException("Parameter charset can not be null."); //$NON-NLS-1$
 		}
 
 		if (!new File(fileName).exists()) {
@@ -185,26 +186,30 @@
 	}
 
 	/**
-	 * Creates a {@link com.csvreader.CsvReader CsvReader} object using a file
-	 * as the data source.&nbsp;Uses ISO-8859-1 as the
+	 * Creates a {@link com.csvreader.CsvReader CsvReader} object using a file as
+	 * the data source.&nbsp;Uses ISO-8859-1 as the
 	 *
-	 * @param fileName The path to the file to use as the data source.
-	 * @param delimiter The character to use as the column delimiter.
-	 * @throws FileNotFoundException the file not found exception
-	 * {@link java.nio.charset.Charset Charset}.
+	 * @param fileName
+	 *            The path to the file to use as the data source.
+	 * @param delimiter
+	 *            The character to use as the column delimiter.
+	 * @throws FileNotFoundException
+	 *             the file not found exception {@link java.nio.charset.Charset
+	 *             Charset}.
 	 */
-	public CsvReader(String fileName, char delimiter)
-			throws FileNotFoundException {
+	public CsvReader(String fileName, char delimiter) throws FileNotFoundException {
 		this(fileName, delimiter, Charset.forName("ISO-8859-1")); //$NON-NLS-1$
 	}
 
 	/**
-	 * Creates a {@link com.csvreader.CsvReader CsvReader} object using a file
-	 * as the data source.&nbsp;Uses a comma as the column delimiter and
-	 * ISO-8859-1 as the {@link java.nio.charset.Charset Charset}.
+	 * Creates a {@link com.csvreader.CsvReader CsvReader} object using a file as
+	 * the data source.&nbsp;Uses a comma as the column delimiter and ISO-8859-1 as
+	 * the {@link java.nio.charset.Charset Charset}.
 	 *
-	 * @param fileName The path to the file to use as the data source.
-	 * @throws FileNotFoundException the file not found exception
+	 * @param fileName
+	 *            The path to the file to use as the data source.
+	 * @throws FileNotFoundException
+	 *             the file not found exception
 	 */
 	public CsvReader(String fileName) throws FileNotFoundException {
 		this(fileName, Letters.COMMA);
@@ -213,14 +218,15 @@
 	/**
 	 * Constructs a {@link com.csvreader.CsvReader CsvReader} object using a
 	 *
-	 * @param inputStream The stream to use as the data source.
-	 * @param delimiter The character to use as the column delimiter.
-	 * {@link java.io.Reader Reader} object as the data source.
+	 * @param inputStream
+	 *            The stream to use as the data source.
+	 * @param delimiter
+	 *            The character to use as the column delimiter.
+	 *            {@link java.io.Reader Reader} object as the data source.
 	 */
 	public CsvReader(Reader inputStream, char delimiter) {
 		if (inputStream == null) {
-			throw new IllegalArgumentException(
-					"Parameter inputStream can not be null."); //$NON-NLS-1$
+			throw new IllegalArgumentException("Parameter inputStream can not be null."); //$NON-NLS-1$
 		}
 
 		this.inputStream = inputStream;
@@ -233,9 +239,10 @@
 	/**
 	 * Constructs a {@link com.csvreader.CsvReader CsvReader} object using a
 	 *
-	 * @param inputStream The stream to use as the data source.
-	 * {@link java.io.Reader Reader} object as the data source.&nbsp;Uses a
-	 * comma as the column delimiter.
+	 * @param inputStream
+	 *            The stream to use as the data source. {@link java.io.Reader
+	 *            Reader} object as the data source.&nbsp;Uses a comma as the column
+	 *            delimiter.
 	 */
 	public CsvReader(Reader inputStream) {
 		this(inputStream, Letters.COMMA);
@@ -244,11 +251,14 @@
 	/**
 	 * Constructs a {@link com.csvreader.CsvReader CsvReader} object using an
 	 *
-	 * @param inputStream The stream to use as the data source.
-	 * @param delimiter The character to use as the column delimiter.
-	 * @param charset The {@link java.nio.charset.Charset Charset} to use while
-	 * parsing the data.
-	 * {@link java.io.InputStream InputStream} object as the data source.
+	 * @param inputStream
+	 *            The stream to use as the data source.
+	 * @param delimiter
+	 *            The character to use as the column delimiter.
+	 * @param charset
+	 *            The {@link java.nio.charset.Charset Charset} to use while parsing
+	 *            the data. {@link java.io.InputStream InputStream} object as the
+	 *            data source.
 	 */
 	public CsvReader(InputStream inputStream, char delimiter, Charset charset) {
 		this(new InputStreamReader(inputStream, charset), delimiter);
@@ -257,11 +267,12 @@
 	/**
 	 * Constructs a {@link com.csvreader.CsvReader CsvReader} object using an
 	 *
-	 * @param inputStream The stream to use as the data source.
-	 * @param charset The {@link java.nio.charset.Charset Charset} to use while
-	 * parsing the data.
-	 * {@link java.io.InputStream InputStream} object as the data
-	 * source.&nbsp;Uses a comma as the column delimiter.
+	 * @param inputStream
+	 *            The stream to use as the data source.
+	 * @param charset
+	 *            The {@link java.nio.charset.Charset Charset} to use while parsing
+	 *            the data. {@link java.io.InputStream InputStream} object as the
+	 *            data source.&nbsp;Uses a comma as the column delimiter.
 	 */
 	public CsvReader(InputStream inputStream, Charset charset) {
 		this(new InputStreamReader(inputStream, charset));
@@ -279,7 +290,8 @@
 	/**
 	 * Sets the capture raw record.
 	 *
-	 * @param captureRawRecord the new capture raw record
+	 * @param captureRawRecord
+	 *            the new capture raw record
 	 */
 	public void setCaptureRawRecord(boolean captureRawRecord) {
 		userSettings.CaptureRawRecord = captureRawRecord;
@@ -298,8 +310,8 @@
 	 * Gets whether leading and trailing whitespace characters are being trimmed
 	 * from non-textqualified column data. Default is true.
 	 * 
-	 * @return Whether leading and trailing whitespace characters are being
-	 *         trimmed from non-textqualified column data.
+	 * @return Whether leading and trailing whitespace characters are being trimmed
+	 *         from non-textqualified column data.
 	 */
 	public boolean getTrimWhitespace() {
 		return userSettings.TrimWhitespace;
@@ -318,8 +330,7 @@
 	}
 
 	/**
-	 * Gets the character being used as the column delimiter. Default is comma,
-	 * ','.
+	 * Gets the character being used as the column delimiter. Default is comma, ','.
 	 * 
 	 * @return The character being used as the column delimiter.
 	 */
@@ -351,8 +362,8 @@
 	 * 
 	 * @param recordDelimiter
 	 *            The character to use as the record delimiter. Default is
-	 *            combination of standard end of line characters for Windows,
-	 *            Unix, or Mac.
+	 *            combination of standard end of line characters for Windows, Unix,
+	 *            or Mac.
 	 */
 	public void setRecordDelimiter(char recordDelimiter) {
 		useCustomRecordDelimiter = true;
@@ -439,8 +450,8 @@
 	 * Gets the current way to escape an occurance of the text qualif ier inside
 	 * qualified data.
 	 * 
-	 * @return The current way to escape an occurance of the text qualif ier
-	 *         inside qualified data.
+	 * @return The current way to escape an occurance of the text qualif ier inside
+	 *         qualified data.
 	 */
 	public int getEscapeMode() {
 		return userSettings.EscapeMode;
@@ -450,15 +461,15 @@
 	 * Sets the current way to escape an occurance of the text qualif ier inside
 	 * qualified data.
 	 *
-	 * @param escapeMode The way to escape an occurance of the text qualif ier inside
-	 * qualified data.
-	 * @throws IllegalArgumentException When an illegal value is specif ied for escapeMode.
+	 * @param escapeMode
+	 *            The way to escape an occurance of the text qualif ier inside
+	 *            qualified data.
+	 * @throws IllegalArgumentException
+	 *             When an illegal value is specif ied for escapeMode.
 	 */
 	public void setEscapeMode(int escapeMode) throws IllegalArgumentException {
-		if (escapeMode != ESCAPE_MODE_DOUBLED
-				&& escapeMode != ESCAPE_MODE_BACKSLASH) {
-			throw new IllegalArgumentException(
-					"Parameter escapeMode must be a valid value."); //$NON-NLS-1$
+		if (escapeMode != ESCAPE_MODE_DOUBLED && escapeMode != ESCAPE_MODE_BACKSLASH) {
+			throw new IllegalArgumentException("Parameter escapeMode must be a valid value."); //$NON-NLS-1$
 		}
 
 		userSettings.EscapeMode = escapeMode;
@@ -476,19 +487,20 @@
 	/**
 	 * Sets the skip empty records.
 	 *
-	 * @param skipEmptyRecords the new skip empty records
+	 * @param skipEmptyRecords
+	 *            the new skip empty records
 	 */
 	public void setSkipEmptyRecords(boolean skipEmptyRecords) {
 		userSettings.SkipEmptyRecords = skipEmptyRecords;
 	}
 
 	/**
-	 * Safety caution to prevent the parser from using large amounts of memory
-	 * in the case where parsing settings like file encodings don't end up
-	 * matching the actual format of a file. This switch can be turned off if 
-	 * the file format is known and tested. With the switch off, the max column
-	 * lengths and max column count per record supported by the parser will
-	 * greatly increase. Default is true.
+	 * Safety caution to prevent the parser from using large amounts of memory in
+	 * the case where parsing settings like file encodings don't end up matching the
+	 * actual format of a file. This switch can be turned off if the file format is
+	 * known and tested. With the switch off, the max column lengths and max column
+	 * count per record supported by the parser will greatly increase. Default is
+	 * true.
 	 * 
 	 * @return The current setting of the safety switch.
 	 */
@@ -497,14 +509,15 @@
 	}
 
 	/**
-	 * Safety caution to prevent the parser from using large amounts of memory
-	 * in the case where parsing settings like file encodings don't end up
-	 * matching the actual format of a file. This switch can be turned off if
-	 * the file format is known and tested. With the switch off, the max column
-	 * lengths and max column count per record supported by the parser will
-	 * greatly increase. Default is true.
+	 * Safety caution to prevent the parser from using large amounts of memory in
+	 * the case where parsing settings like file encodings don't end up matching the
+	 * actual format of a file. This switch can be turned off if the file format is
+	 * known and tested. With the switch off, the max column lengths and max column
+	 * count per record supported by the parser will greatly increase. Default is
+	 * true.
 	 *
-	 * @param safetySwitch the new safety switch
+	 * @param safetySwitch
+	 *            the new safety switch
 	 */
 	public void setSafetySwitch(boolean safetySwitch) {
 		userSettings.SafetySwitch = safetySwitch;
@@ -532,8 +545,8 @@
 	 * Gets the count of headers read in by a previous call to.
 	 *
 	 * @return The count of headers read in by a previous call to
-	 * {@link com.csvreader.CsvReader#readHeaders readHeaders()}.
-	 * {@link com.csvreader.CsvReader#readHeaders readHeaders()}.
+	 *         {@link com.csvreader.CsvReader#readHeaders readHeaders()}.
+	 *         {@link com.csvreader.CsvReader#readHeaders readHeaders()}.
 	 */
 	public int getHeaderCount() {
 		return headersHolder.Length;
@@ -543,7 +556,8 @@
 	 * Returns the header values as a string array.
 	 *
 	 * @return The header values as a String array.
-	 * @throws IOException Thrown if this object has already been closed.
+	 * @throws IOException
+	 *             Thrown if this object has already been closed.
 	 */
 	public String[] getHeaders() throws IOException {
 		checkClosed();
@@ -555,8 +569,7 @@
 			// setting values on the array directly, which would
 			// throw off the index lookup based on header name
 			String[] clone = new String[headersHolder.Length];
-			System.arraycopy(headersHolder.Headers, 0, clone, 0,
-					headersHolder.Length);
+			System.arraycopy(headersHolder.Headers, 0, clone, 0, headersHolder.Length);
 			return clone;
 		}
 	}
@@ -564,7 +577,8 @@
 	/**
 	 * Sets the headers.
 	 *
-	 * @param headers the new headers
+	 * @param headers
+	 *            the new headers
 	 */
 	public void setHeaders(String[] headers) {
 		headersHolder.Headers = headers;
@@ -587,7 +601,8 @@
 	 * Gets the values.
 	 *
 	 * @return the values
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public String[] getValues() throws IOException {
 		checkClosed();
@@ -602,9 +617,11 @@
 	/**
 	 * Returns the current column value for a given column index.
 	 *
-	 * @param columnIndex The index of the column.
+	 * @param columnIndex
+	 *            The index of the column.
 	 * @return The current column value.
-	 * @throws IOException Thrown if this object has already been closed.
+	 * @throws IOException
+	 *             Thrown if this object has already been closed.
 	 */
 	public String get(int columnIndex) throws IOException {
 		checkClosed();
@@ -619,9 +636,11 @@
 	/**
 	 * Returns the current column value for a given column header name.
 	 *
-	 * @param headerName The header name of the column.
+	 * @param headerName
+	 *            The header name of the column.
 	 * @return The current column value.
-	 * @throws IOException Thrown if this object has already been closed.
+	 * @throws IOException
+	 *             Thrown if this object has already been closed.
 	 */
 	public String get(String headerName) throws IOException {
 		checkClosed();
@@ -630,18 +649,17 @@
 	}
 
 	/**
-	 * Creates a {@link com.csvreader.CsvReader CsvReader} object using a string
-	 * of data as the source.&nbsp;Uses ISO-8859-1 as the
+	 * Creates a {@link com.csvreader.CsvReader CsvReader} object using a string of
+	 * data as the source.&nbsp;Uses ISO-8859-1 as the
 	 *
-	 * @param data The String of data to use as the source.
-	 * @return A {@link com.csvreader.CsvReader CsvReader} object using the
-	 * String of data as the source.
-	 * {@link java.nio.charset.Charset Charset}.
+	 * @param data
+	 *            The String of data to use as the source.
+	 * @return A {@link com.csvreader.CsvReader CsvReader} object using the String
+	 *         of data as the source. {@link java.nio.charset.Charset Charset}.
 	 */
 	public static CsvReader parse(String data) {
 		if (data == null) {
-			throw new IllegalArgumentException(
-					"Parameter data can not be null."); //$NON-NLS-1$
+			throw new IllegalArgumentException("Parameter data can not be null."); //$NON-NLS-1$
 		}
 
 		return new CsvReader(new StringReader(data));
@@ -651,8 +669,9 @@
 	 * Reads another record.
 	 *
 	 * @return Whether another record was successfully read or not.
-	 * @throws IOException Thrown if an error occurs while reading data from the
-	 * source stream.
+	 * @throws IOException
+	 *             Thrown if an error occurs while reading data from the source
+	 *             stream.
 	 */
 	public boolean readRecord() throws IOException {
 		checkClosed();
@@ -680,8 +699,7 @@
 
 					char currentLetter = dataBuffer.Buffer[dataBuffer.Position];
 
-					if (userSettings.UseTextQualifier
-							&& currentLetter == userSettings.TextQualifier) {
+					if (userSettings.UseTextQualifier && currentLetter == userSettings.TextQualifier) {
 						// this will be a text qualified column, so
 						// we need to set startedWithQualifier to make it
 						// enter the seperate branch to handle text
@@ -723,8 +741,7 @@
 
 									if (currentLetter == userSettings.Delimiter) {
 										endColumn();
-									} else if ((!useCustomRecordDelimiter && (currentLetter == Letters.CR || currentLetter == Letters.LF))
-											|| (useCustomRecordDelimiter && currentLetter == userSettings.RecordDelimiter)) {
+									} else if ((!useCustomRecordDelimiter && (currentLetter == Letters.CR || currentLetter == Letters.LF)) || (useCustomRecordDelimiter && currentLetter == userSettings.RecordDelimiter)) {
 										endColumn();
 
 										endRecord();
@@ -789,8 +806,7 @@
 
 										lastLetterWasQualifier = true;
 									}
-								} else if (userSettings.EscapeMode == ESCAPE_MODE_BACKSLASH
-										&& lastLetterWasEscape) {
+								} else if (userSettings.EscapeMode == ESCAPE_MODE_BACKSLASH && lastLetterWasEscape) {
 									switch (currentLetter) {
 									case 'n':
 										appendLetter(Letters.LF);
@@ -877,8 +893,7 @@
 									if (lastLetterWasQualifier) {
 										if (currentLetter == userSettings.Delimiter) {
 											endColumn();
-										} else if ((!useCustomRecordDelimiter && (currentLetter == Letters.CR || currentLetter == Letters.LF))
-												|| (useCustomRecordDelimiter && currentLetter == userSettings.RecordDelimiter)) {
+										} else if ((!useCustomRecordDelimiter && (currentLetter == Letters.CR || currentLetter == Letters.LF)) || (useCustomRecordDelimiter && currentLetter == userSettings.RecordDelimiter)) {
 											endColumn();
 
 											endRecord();
@@ -903,24 +918,12 @@
 								if (startedColumn) {
 									dataBuffer.Position++;
 
-									if (userSettings.SafetySwitch
-											&& dataBuffer.Position
-											- dataBuffer.ColumnStart
-											+ columnBuffer.Position > 100000) {
+									if (userSettings.SafetySwitch && dataBuffer.Position - dataBuffer.ColumnStart + columnBuffer.Position > 100000) {
 										close();
 
-										throw new IOException(
-												"Maximum column length of 100,000 exceeded in column " //$NON-NLS-1$
-												+ NumberFormat
-												.getIntegerInstance()
-												.format(
-														columnsCount)
-												+ " in record " //$NON-NLS-1$
-												+ NumberFormat
-												.getIntegerInstance()
-												.format(
-														currentRecord)
-												+ ". Set the SafetySwitch property to false" //$NON-NLS-1$
+										throw new IOException("Maximum column length of 100,000 exceeded in column " //$NON-NLS-1$
+												+ NumberFormat.getIntegerInstance().format(columnsCount) + " in record " //$NON-NLS-1$
+												+ NumberFormat.getIntegerInstance().format(currentRecord) + ". Set the SafetySwitch property to false" //$NON-NLS-1$
 												+ " if you're expecting column lengths greater than 100,000 characters to" //$NON-NLS-1$
 												+ " avoid this error."); //$NON-NLS-1$
 									}
@@ -935,11 +938,9 @@
 						lastLetter = currentLetter;
 
 						endColumn();
-					} else if (useCustomRecordDelimiter
-							&& currentLetter == userSettings.RecordDelimiter) {
+					} else if (useCustomRecordDelimiter && currentLetter == userSettings.RecordDelimiter) {
 						// this will skip blank lines
-						if (startedColumn || columnsCount > 0
-								|| !userSettings.SkipEmptyRecords) {
+						if (startedColumn || columnsCount > 0 || !userSettings.SkipEmptyRecords) {
 							endColumn();
 
 							endRecord();
@@ -948,12 +949,9 @@
 						}
 
 						lastLetter = currentLetter;
-					} else if (!useCustomRecordDelimiter
-							&& (currentLetter == Letters.CR || currentLetter == Letters.LF)) {
+					} else if (!useCustomRecordDelimiter && (currentLetter == Letters.CR || currentLetter == Letters.LF)) {
 						// this will skip blank lines
-						if (startedColumn
-								|| columnsCount > 0
-								|| (!userSettings.SkipEmptyRecords && (currentLetter == Letters.CR || lastLetter != Letters.CR))) {
+						if (startedColumn || columnsCount > 0 || (!userSettings.SkipEmptyRecords && (currentLetter == Letters.CR || lastLetter != Letters.CR))) {
 							endColumn();
 
 							endRecord();
@@ -962,16 +960,14 @@
 						}
 
 						lastLetter = currentLetter;
-					} else if (userSettings.UseComments && columnsCount == 0
-							&& currentLetter == userSettings.Comment) {
+					} else if (userSettings.UseComments && columnsCount == 0 && currentLetter == userSettings.Comment) {
 						// encountered a comment character at the beginning of
 						// the line so just ignore the rest of the line
 
 						lastLetter = currentLetter;
 
 						skipLine();
-					} else if (userSettings.TrimWhitespace
-							&& (currentLetter == Letters.SPACE || currentLetter == Letters.TAB)) {
+					} else if (userSettings.TrimWhitespace && (currentLetter == Letters.SPACE || currentLetter == Letters.TAB)) {
 						// do nothing, this will trim leading whitespace
 						// for both text qualified columns and non
 
@@ -992,8 +988,7 @@
 						boolean firstLoop = true;
 
 						do {
-							if (!firstLoop
-									&& dataBuffer.Position == dataBuffer.Count) {
+							if (!firstLoop && dataBuffer.Position == dataBuffer.Count) {
 								checkDataLength();
 							} else {
 								if (!firstLoop) {
@@ -1001,9 +996,7 @@
 									currentLetter = dataBuffer.Buffer[dataBuffer.Position];
 								}
 
-								if (!userSettings.UseTextQualifier
-										&& userSettings.EscapeMode == ESCAPE_MODE_BACKSLASH
-										&& currentLetter == Letters.BACKSLASH) {
+								if (!userSettings.UseTextQualifier && userSettings.EscapeMode == ESCAPE_MODE_BACKSLASH && currentLetter == Letters.BACKSLASH) {
 									if (lastLetterWasBackslash) {
 										lastLetterWasBackslash = false;
 									} else {
@@ -1057,8 +1050,7 @@
 									} else {
 										dataBuffer.ColumnStart = dataBuffer.Position + 1;
 									}
-								} else if (userSettings.EscapeMode == ESCAPE_MODE_BACKSLASH
-										&& lastLetterWasBackslash) {
+								} else if (userSettings.EscapeMode == ESCAPE_MODE_BACKSLASH && lastLetterWasBackslash) {
 									switch (currentLetter) {
 									case 'n':
 										appendLetter(Letters.LF);
@@ -1139,8 +1131,7 @@
 								} else {
 									if (currentLetter == userSettings.Delimiter) {
 										endColumn();
-									} else if ((!useCustomRecordDelimiter && (currentLetter == Letters.CR || currentLetter == Letters.LF))
-											|| (useCustomRecordDelimiter && currentLetter == userSettings.RecordDelimiter)) {
+									} else if ((!useCustomRecordDelimiter && (currentLetter == Letters.CR || currentLetter == Letters.LF)) || (useCustomRecordDelimiter && currentLetter == userSettings.RecordDelimiter)) {
 										endColumn();
 
 										endRecord();
@@ -1156,24 +1147,12 @@
 								if (startedColumn) {
 									dataBuffer.Position++;
 
-									if (userSettings.SafetySwitch
-											&& dataBuffer.Position
-											- dataBuffer.ColumnStart
-											+ columnBuffer.Position > 100000) {
+									if (userSettings.SafetySwitch && dataBuffer.Position - dataBuffer.ColumnStart + columnBuffer.Position > 100000) {
 										close();
 
-										throw new IOException(
-												"Maximum column length of 100,000 exceeded in column " //$NON-NLS-1$
-												+ NumberFormat
-												.getIntegerInstance()
-												.format(
-														columnsCount)
-												+ " in record " //$NON-NLS-1$
-												+ NumberFormat
-												.getIntegerInstance()
-												.format(
-														currentRecord)
-												+ ". Set the SafetySwitch property to false" //$NON-NLS-1$
+										throw new IOException("Maximum column length of 100,000 exceeded in column " //$NON-NLS-1$
+												+ NumberFormat.getIntegerInstance().format(columnsCount) + " in record " //$NON-NLS-1$
+												+ NumberFormat.getIntegerInstance().format(currentRecord) + ". Set the SafetySwitch property to false" //$NON-NLS-1$
 												+ " if you're expecting column lengths greater than 100,000 characters to" //$NON-NLS-1$
 												+ " avoid this error."); //$NON-NLS-1$
 									}
@@ -1201,15 +1180,9 @@
 		if (userSettings.CaptureRawRecord) {
 			if (hasMoreData) {
 				if (rawBuffer.Position == 0) {
-					rawRecord = new String(dataBuffer.Buffer,
-							dataBuffer.LineStart, dataBuffer.Position
-							- dataBuffer.LineStart - 1);
+					rawRecord = new String(dataBuffer.Buffer, dataBuffer.LineStart, dataBuffer.Position - dataBuffer.LineStart - 1);
 				} else {
-					rawRecord = new String(rawBuffer.Buffer, 0,
-							rawBuffer.Position)
-							+ new String(dataBuffer.Buffer,
-									dataBuffer.LineStart, dataBuffer.Position
-									- dataBuffer.LineStart - 1);
+					rawRecord = new String(rawBuffer.Buffer, 0, rawBuffer.Position) + new String(dataBuffer.Buffer, dataBuffer.LineStart, dataBuffer.Position - dataBuffer.LineStart - 1);
 				}
 			} else {
 				// for hasMoreData to ever be false, all data would have had to
@@ -1227,15 +1200,14 @@
 	/**
 	 * Check data length.
 	 *
-	 * @throws IOException Thrown if an error occurs while reading data from the
-	 * source stream.
+	 * @throws IOException
+	 *             Thrown if an error occurs while reading data from the source
+	 *             stream.
 	 */
 	private void checkDataLength() throws IOException {
 		if (!initialized) {
 			if (fileName != null) {
-				inputStream = new BufferedReader(new InputStreamReader(
-						new FileInputStream(fileName), charset),
-						StaticSettings.MAX_FILE_BUFFER_SIZE);
+				inputStream = new BufferedReader(new InputStreamReader(new FileInputStream(fileName), charset), StaticSettings.MAX_FILE_BUFFER_SIZE);
 			}
 
 			charset = null;
@@ -1245,30 +1217,23 @@
 		updateCurrentValue();
 
 		if (userSettings.CaptureRawRecord && dataBuffer.Count > 0) {
-			if (rawBuffer.Buffer.length - rawBuffer.Position < dataBuffer.Count
-					- dataBuffer.LineStart) {
-				int newLength = rawBuffer.Buffer.length
-						+ Math.max(dataBuffer.Count - dataBuffer.LineStart,
-								rawBuffer.Buffer.length);
+			if (rawBuffer.Buffer.length - rawBuffer.Position < dataBuffer.Count - dataBuffer.LineStart) {
+				int newLength = rawBuffer.Buffer.length + Math.max(dataBuffer.Count - dataBuffer.LineStart, rawBuffer.Buffer.length);
 
 				char[] holder = new char[newLength];
 
-				System.arraycopy(rawBuffer.Buffer, 0, holder, 0,
-						rawBuffer.Position);
+				System.arraycopy(rawBuffer.Buffer, 0, holder, 0, rawBuffer.Position);
 
 				rawBuffer.Buffer = holder;
 			}
 
-			System.arraycopy(dataBuffer.Buffer, dataBuffer.LineStart,
-					rawBuffer.Buffer, rawBuffer.Position, dataBuffer.Count
-					- dataBuffer.LineStart);
+			System.arraycopy(dataBuffer.Buffer, dataBuffer.LineStart, rawBuffer.Buffer, rawBuffer.Position, dataBuffer.Count - dataBuffer.LineStart);
 
 			rawBuffer.Position += dataBuffer.Count - dataBuffer.LineStart;
 		}
 
 		try {
-			dataBuffer.Count = inputStream.read(dataBuffer.Buffer, 0,
-					dataBuffer.Buffer.length);
+			dataBuffer.Count = inputStream.read(dataBuffer.Buffer, 0, dataBuffer.Buffer.length);
 		} catch (IOException ex) {
 			close();
 
@@ -1291,8 +1256,9 @@
 	 * Read the first record of data as column headers.
 	 *
 	 * @return Whether the header record was successfully read or not.
-	 * @throws IOException Thrown if an error occurs while reading data from the
-	 * source stream.
+	 * @throws IOException
+	 *             Thrown if an error occurs while reading data from the source
+	 *             stream.
 	 */
 	public boolean readHeaders() throws IOException {
 		boolean result = readRecord();
@@ -1325,9 +1291,11 @@
 	/**
 	 * Returns the column header value for a given column index.
 	 *
-	 * @param columnIndex The index of the header column being requested.
+	 * @param columnIndex
+	 *            The index of the header column being requested.
 	 * @return The value of the column header at the given column index.
-	 * @throws IOException Thrown if this object has already been closed.
+	 * @throws IOException
+	 *             Thrown if this object has already been closed.
 	 */
 	public String getHeader(int columnIndex) throws IOException {
 		checkClosed();
@@ -1349,9 +1317,11 @@
 	/**
 	 * Checks if is qualified.
 	 *
-	 * @param columnIndex the column index
+	 * @param columnIndex
+	 *            the column index
 	 * @return true, if is qualified
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public boolean isQualified(int columnIndex) throws IOException {
 		checkClosed();
@@ -1366,8 +1336,9 @@
 	/**
 	 * End column.
 	 *
-	 * @throws IOException Thrown if a very rare extreme exception occurs during
-	 * parsing, normally resulting from improper data format.
+	 * @throws IOException
+	 *             Thrown if a very rare extreme exception occurs during parsing,
+	 *             normally resulting from improper data format.
 	 */
 	private void endColumn() throws IOException {
 		String currentValue = ""; //$NON-NLS-1$
@@ -1379,15 +1350,12 @@
 					int lastLetter = dataBuffer.Position - 1;
 
 					if (userSettings.TrimWhitespace && !startedWithQualifier) {
-						while (lastLetter >= dataBuffer.ColumnStart
-								&& (dataBuffer.Buffer[lastLetter] == Letters.SPACE || dataBuffer.Buffer[lastLetter] == Letters.TAB)) {
+						while (lastLetter >= dataBuffer.ColumnStart && (dataBuffer.Buffer[lastLetter] == Letters.SPACE || dataBuffer.Buffer[lastLetter] == Letters.TAB)) {
 							lastLetter--;
 						}
 					}
 
-					currentValue = new String(dataBuffer.Buffer,
-							dataBuffer.ColumnStart, lastLetter
-							- dataBuffer.ColumnStart + 1);
+					currentValue = new String(dataBuffer.Buffer, dataBuffer.ColumnStart, lastLetter - dataBuffer.ColumnStart + 1);
 				}
 			} else {
 				updateCurrentValue();
@@ -1395,14 +1363,12 @@
 				int lastLetter = columnBuffer.Position - 1;
 
 				if (userSettings.TrimWhitespace && !startedWithQualifier) {
-					while (lastLetter >= 0
-							&& (columnBuffer.Buffer[lastLetter] == Letters.SPACE || columnBuffer.Buffer[lastLetter] == Letters.SPACE)) {
+					while (lastLetter >= 0 && (columnBuffer.Buffer[lastLetter] == Letters.SPACE || columnBuffer.Buffer[lastLetter] == Letters.SPACE)) {
 						lastLetter--;
 					}
 				}
 
-				currentValue = new String(columnBuffer.Buffer, 0,
-						lastLetter + 1);
+				currentValue = new String(columnBuffer.Buffer, 0, lastLetter + 1);
 			}
 		}
 
